Panda3D

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
ObjectHandles Class Reference
Inheritance diagram for ObjectHandles:

## Public Member Functions
| __init__ (self, name='objectHandles')
| activate (self)
| coaModeColor (self)
| createGuideLines (self)
| createObjectHandleLines (self)
| deactivate (self)
| disabledModeColor (self)
| disableHandle (self, handle)
| disableHandles (self, handles)
| enableHandle (self, handle)
| enableHandles (self, handles)
| getAxisIntersectPt (self, axis)
| getMouseIntersectPt (self)
| getScalingFactor (self)
| getWidgetIntersectPt (self, nodePath, plane)
| growToFit (self)
| hideAllHandles (self)
| hideGuides (self)
| hideWidget (self)
| manipModeColor (self)
| multiplyScalingFactorBy (self, factor)
| setDirectScalingFactor (self, factor)
| setScalingFactor (self, scaleFactor)
| showAllHandles (self)
| showGuides (self)
| showHandle (self, handle)
| showWidget (self)
| showWidgetIfActive (self)
| toggleWidget (self)
| transferObjectHandlesScale (self)
Public Member Functions inherited from DirectObject
| __init__ (self)
| accept (self, event, method, extraArgs=[])
| acceptOnce (self, event, method, extraArgs=[])
| addTask (self, *args, **kwargs)
| detectLeaks (self)
| doMethodLater (self, *args, **kwargs)
| getAllAccepting (self)
| ignore (self, event)
| ignoreAll (self)
| isAccepting (self, event)
| isIgnoring (self, event)
| removeAllTasks (self)
| removeTask (self, taskOrName)

## Public Attributes
float | directScalingFactor = 1.0
int | fActive = 1
| guideLines = self.attachNewNode('guideLines')
| hitPt = Vec3(0)
float | ohScalingFactor = 1.0
| scalingNode = NodePath(self)
| xDisc = self.xHandles.find('**/x-disc-visible')
| xDiscCollision = self.xHandles.find('**/x-disc')
| xDiscGroup = self.xHandles.find('**/x-disc-group')
| xHandles = self.find('**/X')
| xPost = self.xPostGroup.attachNewNode('x-post-visible')
| xPostCollision = self.xHandles.find('**/x-post')
| xPostGroup = self.xHandles.find('**/x-post-group')
| xRing = self.xRingGroup.attachNewNode('x-ring-visible')
| xRingCollision = self.xHandles.find('**/x-ring')
| xRingGroup = self.xHandles.find('**/x-ring-group')
| xScale = self.xScaleGroup.attachNewNode('x-scale-visible')
| xScaleCollision = self.xScaleGroup.find('**/x-post')
| xScaleGroup = deepcopy(self.xPostGroup)
| yDisc = self.yHandles.find('**/y-disc-visible')
| yDiscCollision = self.yHandles.find('**/y-disc')
| yDiscGroup = self.yHandles.find('**/y-disc-group')
| yHandles = self.find('**/Y')
| yPost = self.yPostGroup.attachNewNode('y-post-visible')
| yPostCollision = self.yHandles.find('**/y-post')
| yPostGroup = self.yHandles.find('**/y-post-group')
| yRing = self.yRingGroup.attachNewNode('y-ring-visible')
| yRingCollision = self.yHandles.find('**/y-ring')
| yRingGroup = self.yHandles.find('**/y-ring-group')
| yScale = self.yScaleGroup.attachNewNode('y-scale-visible')
| yScaleCollision = self.yScaleGroup.find('**/y-post')
| yScaleGroup = deepcopy(self.yPostGroup)
| zDisc = self.zHandles.find('**/z-disc-visible')
| zDiscCollision = self.zHandles.find('**/z-disc')
| zDiscGroup = self.zHandles.find('**/z-disc-group')
| zHandles = self.find('**/Z')
| zPost = self.zPostGroup.attachNewNode('z-post-visible')
| zPostCollision = self.zHandles.find('**/z-post')
| zPostGroup = self.zHandles.find('**/z-post-group')
| zRing = self.zRingGroup.attachNewNode('z-ring-visible')
| zRingCollision = self.zHandles.find('**/z-ring')
| zRingGroup = self.zHandles.find('**/z-ring-group')
| zScale = self.zScaleGroup.attachNewNode('z-scale-visible')
| zScaleCollision = self.zScaleGroup.find('**/z-post')
| zScaleGroup = deepcopy(self.zPostGroup)

## Additional Inherited Members
Static Public Attributes inherited from DirectObject
| accept_once = acceptOnce
| add_task = addTask
| detect_leaks = detectLeaks
| do_method_later = doMethodLater
| get_all_accepting = getAllAccepting
| ignore_all = ignoreAll
| is_accepting = isAccepting
| is_ignoring = isIgnoring
| remove_all_tasks = removeAllTasks
| remove_task = removeTask
Protected Member Functions inherited from DirectObject
| _addTask (self, task)
| _clearTask (self, task)
Protected Attributes inherited from DirectObject
dict | _taskList = {}

## Constructor & Destructor Documentation

## ◆ __init__()

__init__ | ( |  | self,
|  |  | name = 'objectHandles' )

## Member Function Documentation

## ◆ activate()

activate | ( |  | self | ) |

## ◆ coaModeColor()

coaModeColor | ( |  | self | ) |

## ◆ createGuideLines()

createGuideLines | ( |  | self | ) |

## ◆ createObjectHandleLines()

createObjectHandleLines | ( |  | self | ) |

## ◆ deactivate()

deactivate | ( |  | self | ) |

## ◆ disabledModeColor()

disabledModeColor | ( |  | self | ) |

## ◆ disableHandle()

disableHandle | ( |  | self,
|  |  | handle )

## ◆ disableHandles()

disableHandles | ( |  | self,
|  |  | handles )

## ◆ enableHandle()

enableHandle | ( |  | self,
|  |  | handle )

## ◆ enableHandles()

enableHandles | ( |  | self,
|  |  | handles )

## ◆ getAxisIntersectPt()

getAxisIntersectPt | ( |  | self,
|  |  | axis )

## ◆ getMouseIntersectPt()

getMouseIntersectPt | ( |  | self | ) |

## ◆ getScalingFactor()

getScalingFactor | ( |  | self | ) |

## ◆ getWidgetIntersectPt()

getWidgetIntersectPt | ( |  | self,
|  |  | nodePath,
|  |  | plane )

## ◆ growToFit()

growToFit | ( |  | self | ) |

## ◆ hideAllHandles()

hideAllHandles | ( |  | self | ) |

## ◆ hideGuides()

hideGuides | ( |  | self | ) |

## ◆ hideWidget()

hideWidget | ( |  | self | ) |

## ◆ manipModeColor()

manipModeColor | ( |  | self | ) |

## ◆ multiplyScalingFactorBy()

multiplyScalingFactorBy | ( |  | self,
|  |  | factor )

## ◆ setDirectScalingFactor()

setDirectScalingFactor | ( |  | self,
|  |  | factor )

## ◆ setScalingFactor()

setScalingFactor | ( |  | self,
|  |  | scaleFactor )

## ◆ showAllHandles()

showAllHandles | ( |  | self | ) |

## ◆ showGuides()

showGuides | ( |  | self | ) |

## ◆ showHandle()

showHandle | ( |  | self,
|  |  | handle )

## ◆ showWidget()

showWidget | ( |  | self | ) |

## ◆ showWidgetIfActive()

showWidgetIfActive | ( |  | self | ) |

## ◆ toggleWidget()

toggleWidget | ( |  | self | ) |

## ◆ transferObjectHandlesScale()

transferObjectHandlesScale | ( |  | self | ) |

## Member Data Documentation

## ◆ directScalingFactor

directScalingFactor = 1.0

## ◆ fActive

int fActive = 1

## ◆ guideLines

guideLines = self.attachNewNode('guideLines')

## ◆ hitPt

hitPt = Vec3(0)

## ◆ ohScalingFactor

float ohScalingFactor = 1.0

## ◆ scalingNode

scalingNode = NodePath(self)

## ◆ xDisc

xDisc = self.xHandles.find('**/x-disc-visible')

## ◆ xDiscCollision

xDiscCollision = self.xHandles.find('**/x-disc')

## ◆ xDiscGroup

xDiscGroup = self.xHandles.find('**/x-disc-group')

## ◆ xHandles

xHandles = self.find('**/X')

## ◆ xPost

xPost = self.xPostGroup.attachNewNode('x-post-visible')

## ◆ xPostCollision

xPostCollision = self.xHandles.find('**/x-post')

## ◆ xPostGroup

xPostGroup = self.xHandles.find('**/x-post-group')

## ◆ xRing

xRing = self.xRingGroup.attachNewNode('x-ring-visible')

## ◆ xRingCollision

xRingCollision = self.xHandles.find('**/x-ring')

## ◆ xRingGroup

xRingGroup = self.xHandles.find('**/x-ring-group')

## ◆ xScale

xScale = self.xScaleGroup.attachNewNode('x-scale-visible')

## ◆ xScaleCollision

xScaleCollision = self.xScaleGroup.find('**/x-post')

## ◆ xScaleGroup

xScaleGroup = deepcopy(self.xPostGroup)

## ◆ yDisc

yDisc = self.yHandles.find('**/y-disc-visible')

## ◆ yDiscCollision

yDiscCollision = self.yHandles.find('**/y-disc')

## ◆ yDiscGroup

yDiscGroup = self.yHandles.find('**/y-disc-group')

## ◆ yHandles

yHandles = self.find('**/Y')

## ◆ yPost

yPost = self.yPostGroup.attachNewNode('y-post-visible')

## ◆ yPostCollision

yPostCollision = self.yHandles.find('**/y-post')

## ◆ yPostGroup

yPostGroup = self.yHandles.find('**/y-post-group')

## ◆ yRing

yRing = self.yRingGroup.attachNewNode('y-ring-visible')

## ◆ yRingCollision

yRingCollision = self.yHandles.find('**/y-ring')

## ◆ yRingGroup

yRingGroup = self.yHandles.find('**/y-ring-group')

## ◆ yScale

yScale = self.yScaleGroup.attachNewNode('y-scale-visible')

## ◆ yScaleCollision

yScaleCollision = self.yScaleGroup.find('**/y-post')

## ◆ yScaleGroup

yScaleGroup = deepcopy(self.yPostGroup)

## ◆ zDisc

zDisc = self.zHandles.find('**/z-disc-visible')

## ◆ zDiscCollision

zDiscCollision = self.zHandles.find('**/z-disc')

## ◆ zDiscGroup

zDiscGroup = self.zHandles.find('**/z-disc-group')

## ◆ zHandles

zHandles = self.find('**/Z')

## ◆ zPost

zPost = self.zPostGroup.attachNewNode('z-post-visible')

## ◆ zPostCollision

zPostCollision = self.zHandles.find('**/z-post')

## ◆ zPostGroup

zPostGroup = self.zHandles.find('**/z-post-group')

## ◆ zRing

zRing = self.zRingGroup.attachNewNode('z-ring-visible')

## ◆ zRingCollision

zRingCollision = self.zHandles.find('**/z-ring')

## ◆ zRingGroup

zRingGroup = self.zHandles.find('**/z-ring-group')

## ◆ zScale

zScale = self.zScaleGroup.attachNewNode('z-scale-visible')

## ◆ zScaleCollision

zScaleCollision = self.zScaleGroup.find('**/z-post')

## ◆ zScaleGroup

zScaleGroup = deepcopy(self.zPostGroup)